import sys
import requests
import json


def get_access_token_vida(token, authorize_url):
    try:
        data = {
            "token": token
        }
        esp_authn_url = authorize_url
        url = esp_authn_url
        try:
            response = requests.post(url=url, data=data)
            response_dict = json.loads(response.text)
        except Exception as e:
            raise Exception("Provided ESP Authentication configuration for vida-service may be Incorrect: "
                            + str(response.text))
        access_token = response_dict['access_token']
        if access_token is None:
            raise Exception("access_token is None")
        # print(access_token)
        return access_token
    except Exception as e:
        print(getattr(e, 'message',
              "Problem while Fetching ESP Access Token for Vida-Service: " + repr(e)))